Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model.registry
Interface FlowModelRegistry

All Superinterfaces:
  FlowModelLocator

All Known Implementing Classes:
  FlowModelRegistryImpl

    public interface FlowModelRegistry

extends FlowModelLocator

A container of flow models. Extends `FlowModelLocator` for accessing registered Flow models for conversion to flow definitions.

Flow model registries can be configured with a "parent" registry to provide a hook into a larger flow model registry hierarchy.

Author:
  Keith Donald, Scott Andrews

Method Summary
`void` | `registerFlowModel(java.lang.String id, FlowModelHolder modelHolder)` Register a flow model in this registry.
`void` | `setParent(FlowModelRegistry parent)` Sets this registry's parent registry.

Methods inherited from interface org.springframework.webflow.engine.model.registry.FlowModelLocator
`getFlowModel`

Method Detail

### setParent

    void setParent(FlowModelRegistry parent)

  Sets this registry's parent registry. When asked by a client to locate a flow model this registry will query it's parent if it cannot fulfill the lookup request itself.

  Parameters:
    `parent` - the parent flow model registry, may be null

### registerFlowModel

    void registerFlowModel(java.lang.String id,
                           FlowModelHolder modelHolder)

  Register a flow model in this registry. Registers a "holder", not the Flow model itself. This allows the actual Flow model to be loaded lazily only when needed, and also rebuilt at runtime when its underlying resource changes without re-deploy.

  Parameters:
    `id` - the id to register the flow model under
    `modelHolder` - a holder holding the flow model to register

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD